Отказ в обслуживании в Apache mod_proxy

Дата публикации:
11.06.2008
Дата изменения:
18.09.2008
Всего просмотров:
1796
Опасность:
Низкая
Наличие исправления:
Частично
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Apache 2.0.x
Apache 2.2.x
Уязвимые версии: Apache 2.2.8 и 2.0.63, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю вызвать отказ в обслуживании.

Уязвимость существует из-за ошибки в функции "ap_proxy_http_process_response()" при перенаправлении промежуточных ответов. Удаленный пользователь может заставить модуль mod_proxy отправить большое количество промежуточных ответов клиенту и потребить большое количество памяти на системе.

URL производителя: www.apache.org

Решение: Установите последнюю версию 2.2.9 с сайта производителя.

Ссылки: http://httpd.apache.org/security/vulnerabilities_22.html
http://svn.apache.org/viewvc/httpd/httpd/trunk/CHANGES?r1=666154&r2=666153&pathrev=666154

или введите имя

CAPTCHA